WordPress.org

Ready to get started?Download WordPress

Forums

Pagely MultiEdit
Admin page may not display correctly (2 posts)

  1. Garbology
    Member
    Posted 1 year ago #

    On line 86 of multiedit.php the plugin is using the shorthand for an echo. For servers that have the php.ini option short_open_tag disabled and are running less than php 5.4 this will cause the multi edit option page to not work correctly.

    <td><input type="radio" name="opts[shortcode]" value="1" <?= $opts['shortcodes'] == 1 ?  "checked='checked'" : ''?> /><label>Yes</label>  <input type="radio" name="opts[shortcode]" value="0" <?= $opts['shortcodes'] == 0 ?  "checked='checked'" : ''?>/><label>No</label> <br/><span class="description"><?php _e('Enables Shortcode support for multi-edit regions. Caution this will enable all filters for the region like including social media buttons and other such nonsense in your output.' ); ?></span></td>

    Should be replaced with:

    <td><input type="radio" name="opts[shortcode]" value="1" <?php echo $opts['shortcodes'] == 1 ?  "checked='checked'" : ''?> /><label>Yes</label>  <input type="radio" name="opts[shortcode]" value="0" <?php echo $opts['shortcodes'] == 0 ?  "checked='checked'" : ''?>/><label>No</label> <br/><span class="description"><?php _e('Enables Shortcode support for multi-edit regions. Caution this will enable all filters for the region like including social media buttons and other such nonsense in your output.' ); ?></span></td>

    http://wordpress.org/extend/plugins/pagely-multiedit/

  2. joshua strebel
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks, will take care of this in next release.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic